Subject: Re: [PATCH] Fix GNU/Hurd build

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 16 Mar 2026 07:41:23 +0100

On Fri, Mar 13, 2026 at 06:24:44PM +0100, Samuel Thibault wrote:
> Patrick Steinhardt, le ven. 13 mars 2026 07:39:40 +0100, a ecrit:
> > On Thu, Mar 12, 2026 at 01:38:21PM -0700, Junio C Hamano wrote:
> > > Samuel Thibault <[email-masked]> writes:
> > > 
> > > > GNU/Hurd does not have a PATH_MAX limitation
> > > 
> > > Thanks.  clar folks might prefer to take it upstream and have us as
> > > a downstream to import from them, so I'll forward it first before
> > > taking it for ourselves.
> > > 
> > > It makes me wonder if an organization like this is easier to follow,
> > > i.e., platform specific settings first and then catch-all default at
> > > the end:
> > > 
> > > 	#if defined(CLAR_LONGPATHS)
> > > 	#define CLAR_MAX_PATH 4096
> > > 	#elif defined(PATH_MAX)
> > > 	#define CLAR_MAX_PATH PATH_MAX
> > > 	#elif deifned(MAX_PATH)
> > > 	#define CLAR_MAX_PATH MAX_PATH
> > > 	#fi
> > > 
> > > 	#if !defined(CLAR_MAX_PATH)
> > > 	#define CLAR_MAX_PATH 4096
> > > 	#fi
> > > 
> > > but that is a separate issue best handled by the clar folks.
> > 
> > Agreed, something like this would read better indeed.
> 
> Ah, actually Pino already contributed a fix in december:)

Oh, you're right! I'll send an update to the latest clar version later
today.

> > Samuel, do you
> > want to maybe create a pull request in [1] to fix this in clar itself?
> 
> > [1]: https://github.com/clar-test/clar
> 
> It would be useful to put this github url in the README, I have
> submitted
> https://github.com/clar-test/clar/pull/135
> so it'll eventually end up in the git source for people to find out
> where to send clar patches.

Makes sense, thanks.

Patrick